# -*- coding: utf-8 -*-
# Author: Manuel de la Pena <manuel@canonical.com>
#
# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.
"""Script that shows the qt gui."""


if __name__ == '__main__':
    # pylint: disable=C0103,E1101,F0401
    # show the ui
    import sys
    from PyQt4 import Qt
    app = Qt.QApplication(sys.argv)
    from qtreactor import qt4reactor
    qt4reactor.install()
    from twisted.internet import reactor
    from ubuntu_sso.qt.gui import UbuntuSSOWizard

    wizard = UbuntuSSOWizard(app_name='test')
    wizard.show()
    reactor.run()
